# frozen_string_literal: true

require 'active_interaction'
require 'fizzy/api/version'
require 'fizzy/api/sessions'
require 'fizzy/api/models'
require 'fizzy/api/errors'
require 'fizzy/api/endpoints'

module Fizzy
  module Api
    # Raised when a request failed due to an expired/non-existing session.
    class NoSession < StandardError; end
    class Unauthorized < StandardError; end
  end
end
