# frozen_string_literal: true

module Fizzy
  module Api
    module Endpoints
      class RenderOverview < Endpoint
        string :dossier_id
        string :protocol_subscription_id

        def execute
          response = Api.basic_auth_session.get("/dossier/#{dossier_id}"\
                                                "/protocol_subscriptions/#{protocol_subscription_id}" \
                                                '/render.json')
          process_response(response)
        end
      end
    end
  end
end
