# frozen_string_literal: true

require 'httparty'
require 'fizzy/api/sessions/basic_auth_session'

module Fizzy
  module Api
    def self.basic_auth_session(*arguments, &block)
      Sessions::BasicAuthSession.new(*arguments, &block)
    end
  end
end
